> For the complete documentation index, see [llms.txt](https://docs.intrepidcs.com/vspy-3-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intrepidcs.com/vspy-3-documentation/3.9.13/vehicle-spy-tutorials/tutorial-decode-signals-from-messages/part-6-an-introduction-to-signal-plot-features.md).

# Part 6 - An Introduction to Signal Plot Features

Signal Plot is a very powerful tool.  Below is a brief look at some of its capabilities.

### 1. Select Signal Group to View:

Signal Plot and Signal List can show two different Signal Groups simultaneously. Make these selections using the dropdowns found at the top of each view (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smOne.gif) & ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smTwo.gif)).\
\
With the **Tutorial 3 Signal Group** selected, two Y-axis should be seen, each a different color and corresponding to a signal or message in the group. The X-axis represents time.

![Figure 1: The Signal Plot is jam packed with features.](https://content.gitbook.com/content/jb1RvXgxzxcqgZdVpbGb/blobs/NN1zqcHt7fs2wLHgilJs/spyexample3.6.gif)

### 2. Try Tools from Toolbar:

Along the top of the Signal Plot graph, there is a toolbar. This contains all the tools needed to manipulate this view including: Play, Pause, Mousewheel Axis Control, Zoom (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smThree.gif)), Cursors (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smFour.gif)), Setup, Save, and Print.

### 3. Cursors and Cursor Control:

While many tools are self explanatory, the cursor tool requires some explanation. Click on the **Cursor icon** (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smFour.gif)) in the tool bar. A line with an adjacent box will appear on the graph. This is the cursor and it is used to make measurements. To the right of the toolbar, notice the two drop down fields. These control the cursor. The field farthest to the right is where a channel is selected. Select **Throttle Position** (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smFive.gif)) from this dropdown. The cursor changes to the same color as the Y-axis that correlates with Throttle Position.\
\
The other dropdown, to the left of channel selection, is where value to measure is determined. It is possible to choose to report X values, Y values, both X and Y, or even the difference between a pair of X values or a pair of Y values.\
\
Select the **Value XY** option and note that the box next to the cursor (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smSix.gif)) now displays those values.\
\
This concludes the abbreviated overview of the capabilities found in the Signal Plot. Hopefully this tutorial has sparked some interest and has encouraged experimentation with all of the features Signal Plot has to offer.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.intrepidcs.com/vspy-3-documentation/3.9.13/vehicle-spy-tutorials/tutorial-decode-signals-from-messages/part-6-an-introduction-to-signal-plot-features.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
